---
lang: en
title: 'API docs: rest.invokebodyparsermiddleware'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.invokebodyparsermiddleware.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [invokeBodyParserMiddleware](./rest.invokebodyparsermiddleware.md)

## invokeBodyParserMiddleware() function

Parse the request body asynchronously

**Signature:**

```typescript
export declare function invokeBodyParserMiddleware(handle: BodyParserMiddleware, request: Request): Promise<any>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

handle


</td><td>

[BodyParserMiddleware](./rest.bodyparsermiddleware.md)


</td><td>

The express middleware handler


</td></tr>
<tr><td>

request


</td><td>

Request


</td><td>

Http request


</td></tr>
</tbody></table>
**Returns:**

Promise&lt;any&gt;


